Subject: Re: [bug#27635] [PATCH] gnu: emacs: Build with imagemagick support.

From: [email-masked] (Ludovic Courtès)
Date: Tue, 11 Jul 2017 16:44:56 +0200

Arun Isaac <[email-masked]> skribis:

> Ludovic Courtès writes:
>
>> Thoughts?
>
> Some preliminary thoughts:
>
> `guix size emacs' lists cups, cups-minimal, ghostscript and
> ghostscript-with-cups as dependencies. Can't we do with just cups and
> ghostscript, or just cups-minimal and ghostscript?
>
> Also, there are two builds (different hashes) of cairo-1.14.8 listed.
>
> Is it acceptable to build gtk+ with cups-minimal, instead of cups?

I’m not sure, but I guess not (cups depends on cups-filters, which
depends on cups-minimal IIRC).

I suggest looking at “guix graph -t references emacs” to get an idea of
where things come from.  Stripping a dependency graph can be tricky!

Ludo’.